BCL mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.5000.0 2.0.0.0 All public static members of this type are safe for multithreaded operations. No instance members are guaranteed to be thread safe. System.Security.CodeAccessPermission System.Security.Permissions.IBuiltInPermission System.Security.Permissions.IUnrestrictedPermission

Describes a set of security permissions applied to code.

The enumeration defines the permissions secured by this class.

The XML encoding of a instance is defined below in EBNF format. The following conventions are used:

All non-literals in the grammar below are shown in normal type.

All literals are in bold font.

The following meta-language symbols are used:

'*' represents a meta-language symbol suffixing an expression that can appear zero or more times.

'?' represents a meta-language symbol suffixing an expression that can appear zero or one time.

'+' represents a meta-language symbol suffixing an expression that can appear one or more times.

'(',')' is be used to group literals, non-literals or a mixture of literals and non-literals.

'|' denotes an exclusive disjunction between two expressions.

'::= ' denotes a production rule where a left hand non-literal is replaced by a right hand expression containing literals, non-literals or both.

BuildVersion refers to the build version of the shipping CLI. This is a dotted build number such as '2412.0' .

ECMAPubKeyToken ::=

SecurityPermissionFlag = | | | |

Each SecurityPermissionFlag literal can appear in the XML no more than once. For example, Flags=Assertion,Assertion is illegal.

SecurityPermission ::=

BuildVersion

ECMAPubKeyToken

(

)

|

(

SecurityPermissionFlag ( SecurityPermissionFlag)* )

| ()

- Constructor

  A value. This value is either or , respectively yielding fully restricted or fully unrestricted access to all security variables.

  Constructs a new instance of the class with the specified value.

  To be added.
  is not a valid value.
  0
  1.0.5000.0
  2.0.0.0
- Constructor
  One or more values. Specify multiple values for using the bitwise OR operator.

  Constructs a new instance of the class with the specified value.

  To be added.
  is not a valid value.
  0
  1.0.5000.0
  2.0.0.0
- Method
  System.Security.IPermission

  Returns a object containing the same values as the current instance.

  A new instance containing the same values as the current instance.

  The object returned by this method represents the same access to resources as the current instance.

  This method overrides and is implemented to support the interface.

  0
  1.0.5000.0
  2.0.0.0
- Property
  System.Security.Permissions.SecurityPermissionFlag To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` A instance containing the XML encoding to use to reconstruct the state of a object.

  Reconstructs the state of a object using the specified XML encoding.

  The state of the current instance is changed to the state encoded in .

  For the XML encoding for this class, see the class page.

  This method overrides .

  is .

  does not contain the encoding for a instance.

  The version number of is not valid.

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.Security.IPermission `` A object that is of the same type as the current instance to be intersected with the current instance.

  Returns a object that is the intersection of the current instance and the specified object.

  A new instance that represents the intersection of the current instance and . If the intersection is empty, or is , returns .

  The intersection of two permissions is a permission that secures the resources and operations secured by both permissions. Specifically, it represents the minimum permission such that any demand that passes both permissions will also pass their intersection.

  This method overrides and is implemented to support the

  interface.

  is not and is not of type . 0 1.0.5000.0 2.0.0.0
- Method
  System.Boolean `` A object of the same type as the current instance that is to be tested for the subset relationship with the current instance.

  Determines whether the current instance is a subset of the specified object.

  if the current instance is a subset of ; otherwise,. If the current instance is unrestricted, and is not, returns . If is unrestricted, returns . If target is and the current instance was initialized with , returns . If target is and the current instance was initialized with any value other than , returns .

  The current instance is a subset of if the current instance specifies a set of accesses to resources that is wholly contained by . For example, a permission that represents read access to a file is a subset of a permission that represents read and write access to the file.

  This method overrides and is implemented to support the interface.

  is not and is not of type . 0 1.0.5000.0 2.0.0.0
- Method
  System.Boolean To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Method
  System.Int32 To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Method
  System.Security.SecurityElement

  Returns the XML encoding of the current instance.

  A containing an XML encoding of the state of the current instance.

  For the XML encoding for this class, see the class page.

  This method overrides .

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.Security.IPermission `` A object of the same type as the current instance to be combined with the current instance.

  Returns a object that is the union of the current instance and the specified object.

  A new instance that represents the union of the current instance and . If the current instance or is unrestricted, returns a instance that is unrestricted. If is , returns a copy of the current instance using the method.

  The result of a call to is a permission that represents all of the access to security permissions represented by the current instance as well as the security permissions represented by . Any demand that passes either the current instance or

  passes their union.

  This method overrides and is implemented to support the interface.

  is not and is not of type . 0 1.0.5000.0 2.0.0.0
0 System.Runtime.InteropServices.ComVisible(true)